services:

  frontend-evyos:
    container_name: frontend-evyos
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "3000:3000"
    networks:
      - dbConnect
    env_file:
      - .env
    volumes:
      - .:/app
      - /app/node_modules

  apollo-server:
    container_name: apollo-server
    build:
      context: .
      dockerfile: ql-server/Dockerfile
    ports:
      - "4000:4000"
    networks:
      - dbConnect
    env_file:
      - .env
    # restart: unless-stopped

networks:
  dbConnect:
    driver: bridge
